Subject: Re: [PATCH v2] scripts: get_maintainer: steer people away from using file paths

From: Jakub Kicinski <[email-masked]>
Date: Fri, 28 Jul 2023 13:38:01 -0700

On Fri, 28 Jul 2023 16:29:13 -0400 Konstantin Ryabitsev wrote:
> I have actually solved a similar problem already as part of a different
> project (bugbot). We associate a set of additional addresses with a thread and
> can send any thread updates to those addresses.
> 
> It would require a bit more effort to adapt it so we properly handle bounces,
> but effectively this does what you're asking about -- replies sent to a thread
> will be sent out to all addresses we've associated with that thread (via
> get_maintainer.pl). In a sense, this will create a miniature pseudo-mailing
> list per each thread with its own set of subscribers.
> 
> I just need to make sure this doesn't fall over once we are hitting
> LKML-levels of activity.

How does that square with the "subscribe by path / keyword" concept?
If we can do deep magic of this sort can we also use it to SMTP to
people what they wanted to subscribe to rather than expose it as
POP/IMAP/NNTP?

Could be easier for people to do dedup and alike if subscriptions were
flowing into their usual inbox.